Subject: [CDNi] [Technical Errata Reported] RFC8007 (5064)

From: RFC Errata System <[email-masked]>
Date: Thu, 6 Jul 2017 22:38:53 -0700 (PDT)

The following errata report has been submitted for RFC8007,
"Content Delivery Network Interconnection (CDNI) Control Interface / Triggers".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5064

--------------------------------------
Type: Technical
Reported by: Kevin J. Ma <[email-masked]>

Section: 6.2.5

Original Text
-------------
6.2.5.  Deleting Trigger Status Resources

   The uCDN can delete completed and failed Trigger Status Resources to
   reduce the size of the collections, as described in Section 4.4.  For
   example, to delete the "preposition" request from earlier examples:

Corrected Text
--------------
6.2.5.  Canceling or Deleting Trigger Status Resources

   The uCDN can cancel pending or active Trigger Status Resource
   processing, as described in Section 4.3.  For example, to cancel
   the "preposition" request from earlier examples:

   REQUEST:

     POST /triggers HTTP/1.1
     User-Agent: example-user-agent/0.1
     Host: dcdn.example.com
     Accept: */*
     Content-Type: application/cdni; ptype=ci-trigger-command
     Content-Length: 91

     {
       "cancel" : [ "https://dcdn.example.com/triggers/0" ],
       "cdn-path" : [ "AS64496:1" ]
     }

   RESPONSE:

     HTTP/1.1 200 OK
     Content-Length: 0
     Server: example-server/0.1
     Date: Wed, 04 May 2016 08:50:00 GMT

   The uCDN can also delete completed and/or failed Trigger Status
   Resources to reduce the size of the collections, as described in
   Section 4.4.  For example, to delete the "preposition" request from
   earlier examples:

Notes
-----
There is no example for canceling a trigger.  Section 4.3 does not specify what the response payload should be for cancel responses.  An explicit example would help clarify the intent of an empty response.  A cancel example probably warrants its own section, but for the purposes of simplifying this errata, it has been combined with the delete example.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8007 (draft-ietf-cdni-control-triggers-15)
--------------------------------------
Title               : Content Delivery Network Interconnection (CDNI) Control Interface / Triggers
Publication Date    : December 2016
Author(s)           : R. Murray, B. Niven-Jenkins
Category            : PROPOSED STANDARD
Source              : Content Delivery Networks Interconnection
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: "Murray, Rob (Nokia - GB/Cambridge, UK)" <[email-masked]>
Date: Mon, 10 Jul 2017 08:20:44 +0000

Thanks Kevin - the change looks good to me.

-----Original Message-----
From: RFC Errata System <[email-masked]>
Date: Friday, 7 July 2017 at 06:38
To: "Murray, Rob (Nokia - GB/Cambridge, UK)" <[email-masked]>, "Niven - Jenkins, Ben (Nokia - GB/Cambridge, UK)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Technical Errata Reported] RFC8007 (5064)

Section: 6.2.5

Original Text
-------------

Corrected Text
--------------

   REQUEST:

     POST /triggers HTTP/1.1

     {

   RESPONSE:

     HTTP/1.1 200 OK
     Content-Length: 0

Notes
-----

Instructions:
-------------